petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASNESSetJacobianLocal

set a local Jacobian evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscsnes.h"
    PetscErrorCode DMDASNESSetJacobianLocal(DM dm,PetscErrorCode (*func)(DMDALocalInfo*,void*,Mat,Mat,void*),void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local Jacobian evaluation
| ctx | - optional context for local Jacobian evaluation

### Calling sequence

For PetscErrorCode (*func)(DMDALocalInfo *info,void *x,Mat J,Mat M,void *ctx),

| info | - DMDALocalInfo defining the subdomain to evaluate the Jacobian at
| x | - dimensional pointer to state at which to evaluate Jacobian (e.g. PetscScalar *x or **x or ***x)
| J | - Mat object for the Jacobian
| M | - Mat object for the Jacobian preconditioner matrix
| ctx | - optional context passed above

### See Also

DMDASNESSetFunctionLocal(), DMSNESSetJacobian(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

### Level

beginner

### Location

src/snes/utils/dmdasnes.c

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex9.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex5f.F90.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages